use std::env;

pub fn get_arg_sauces(args: env::Args) -> Result<Vec<i32>, String> {
    let mut sauces: Vec<i32> = Vec::new();
    for sauce in args {
        let sauce: i32 = match sauce.parse() {
            Ok(sauce) => sauce,
            Err(_) => {
                return Err(format!("{} is not a number/sauce", sauce));
            }
        };
        if !sauces.contains(&sauce) {
            sauces.push(sauce);
        }
    }
    Ok(sauces)
}
